Bug 232762 - graphics/graphene: Enabling GTKDOC config option causes install failure
Summary: graphics/graphene: Enabling GTKDOC config option causes install failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-28 14:09 UTC by Hyun Hwang
Modified: 2019-01-11 18:35 UTC (History)
3 users (show)

See Also:
tobik: maintainer-feedback-


Attachments
Remove object-tree.html from pkg-plist (609 bytes, patch)
2018-11-17 15:18 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2018-10-28 14:09:33 UTC
Running 12-ALPHA10 r339406. The port's config is as follows:


% cat /var/db/ports/graphics_graphene/options
# This file is auto-generated by 'make config'.
# Options for graphene-1.8.2
_OPTIONS_READ=graphene-1.8.2
_FILE_COMPLETE_OPTIONS_LIST=GTKDOC
OPTIONS_FILE_SET+=GTKDOC


Running `make && make deinstall && make reinstall clean` fails with the following log:


====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
===>  Deinstalling for graphene
===>   Deinstalling graphene-1.8.2
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        graphene-1.8.2

Number of packages to be removed: 1
[1/1] Deinstalling graphene-1.8.2...
[1/1] Deleting files for graphene-1.8.2: 100%
===>  Installing for graphene-1.8.2
===>   Registering installation for graphene-1.8.2
pkg-static: Unable to access file /usr/ports/graphics/graphene/work/stage/usr/local/share/gtk-doc/html/graphene/object-tree.html:No such file or directory
*** Error code 74

Stop.
make[2]: stopped in /usr/ports/graphics/graphene
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/graphics/graphene
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/graphene


Disabling the GTKDOC config option installs the port just fine.
Comment 1 w.schwarzenfeld freebsd_triage 2018-10-28 17:11:38 UTC
I have an additional warning:
html/graphene-Euler.html:362: warning: no link for: "NULL:CAPS" -> (<code class="literal">NULL</code>).
html/graphene-GObject-integration.html:56: warning: no link for: "GValue" -> (<span class="type">GValue</span>).
html/graphene-GObject-integration.html:56: warning: no link for: "GParamSpec" -> (<span class="type">GParamSpec</span>).
html/graphene-GObject-integration.html:57: warning: no link for: "GObject" -> (<span class="type">GObject</span>).
html/graphene-GObject-integration.html:77: warning: no link for: "g-value-set-boxed" -> (<code class="function">g_value_set_boxed()</code>).
html/graphene-GObject-integration.html:77: warning: no link for: "g-value-get-boxed" -> (<code class="function">g_value_get_boxed()</code>).
Comment 2 Ting-Wei Lan 2018-11-17 15:18:07 UTC
Created attachment 199292 [details]
Remove object-tree.html from pkg-plist

This file does not exist when building with the current version of gtk-doc.
Comment 3 Hyun Hwang 2018-11-20 01:22:29 UTC
(In reply to Ting-Wei Lan from comment #2)
This patch is confirmed to resolve the install error.
Comment 4 Jamie Landeg-Jones 2019-01-11 12:39:20 UTC
Please can this be actioned
Comment 5 Tobias Kortkamp freebsd_committer 2019-01-11 12:53:22 UTC
I'll take care of it.
Comment 6 commit-hook freebsd_committer 2019-01-11 12:54:55 UTC
A commit references this bug:

Author: tobik
Date: Fri Jan 11 12:53:59 UTC 2019
New revision: 489960
URL: https://svnweb.freebsd.org/changeset/ports/489960

Log:
  graphics/graphene: Unbreak build with GTKDOC=on

  pkg-static: Unable to access file [...]share/gtk-doc/html/graphene/object-tree.html:No such file or directory

  PR:		232762
  Reported by:	Hyun Hwang <hyun@caffeinated.codes>
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	gnome (maintainer timeout, ~2 months)

Changes:
  head/graphics/graphene/pkg-plist
Comment 7 commit-hook freebsd_committer 2019-01-11 12:54:58 UTC
A commit references this bug:

Author: tobik
Date: Fri Jan 11 12:54:40 UTC 2019
New revision: 489961
URL: https://svnweb.freebsd.org/changeset/ports/489961

Log:
  MFH: r489960

  graphics/graphene: Unbreak build with GTKDOC=on

  pkg-static: Unable to access file [...]share/gtk-doc/html/graphene/object-tree.html:No such file or directory

  PR:		232762
  Reported by:	Hyun Hwang <hyun@caffeinated.codes>
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	gnome (maintainer timeout, ~2 months)

  Approved by:	ports-secteam build fix blanket

Changes:
_U  branches/2019Q1/
  branches/2019Q1/graphics/graphene/pkg-plist
Comment 8 Jamie Landeg-Jones 2019-01-11 18:35:21 UTC
Thanks Tobias!